using System;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel;
using BeeDevelopment.Brass3;
using BeeDevelopment.Brass3.Plugins;
using BeeDevelopment.Brass3.Attributes;

namespace BeeDevelopment.Brass3.Documentation {
	/// <summary>
	/// Documents labels.
	/// </summary>
	[Description("Labels are used to store numeric or string values.")]
	[Category("Source Syntax")]
	[Remarks(
@"Labels are named constants or variables that are used and generated by the compiler to keep track of values throughout the compilation process.
A label can contain a numeric value or a string value. The label's value can be manipulated within expressions.
<code>Label = 10</code>
In the above example, a label (named <c>Label</c>) is having the value 10 assigned to it via the assignment operator.
<code>Result = Label * 2 + 5
.echoln Result</code>
The above example assigns the result of an expression to another label, <c>Result</c>, then passes it as an argument to the <see cref=""echoln"" /> directive.")]
	[DisplayName("Labels")]
	[DocumentationUsage(DocumentationUsageAttribute.DocumentationType.DocumentationOnly)]
	public class Labels : IPlugin { }
}
